<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1Exception"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1Exception.html">Exception</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1Floating"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1Floating.html">Floating</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1Generic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1Generic.html">Generic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1Impl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1StdString"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1StdString.html">StdString</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceCatch_1_1Matchers_1_1Vector"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers_1_1Vector.html">Vector</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0fcd8bd126bb510a6bb99e6360aa270a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html">Exception::ExceptionMessageMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a0fcd8bd126bb510a6bb99e6360aa270a">Message</a> (std::string const &amp;message)</td></tr>
<tr class="separator:a0fcd8bd126bb510a6bb99e6360aa270a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae77e233c3ed735ea12b7c726153798d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html">Floating::WithinUlpsMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#ae77e233c3ed735ea12b7c726153798d1">WithinULP</a> (double target, uint64_t maxUlpDiff)</td></tr>
<tr class="separator:ae77e233c3ed735ea12b7c726153798d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d108ff6aaeac40f20f4978dfb3f51fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html">Floating::WithinUlpsMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a5d108ff6aaeac40f20f4978dfb3f51fc">WithinULP</a> (float target, uint64_t maxUlpDiff)</td></tr>
<tr class="separator:a5d108ff6aaeac40f20f4978dfb3f51fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c9ea76d47d02de0cf2d354c87c26e95"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html">Floating::WithinAbsMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a4c9ea76d47d02de0cf2d354c87c26e95">WithinAbs</a> (double target, double margin)</td></tr>
<tr class="separator:a4c9ea76d47d02de0cf2d354c87c26e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c559d9cfda02a81941ad6933f4ca450"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a0c559d9cfda02a81941ad6933f4ca450">WithinRel</a> (double target, double eps)</td></tr>
<tr class="separator:a0c559d9cfda02a81941ad6933f4ca450"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e2f1efab13b85e2cbe36958a27d518"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a46e2f1efab13b85e2cbe36958a27d518">WithinRel</a> (double target)</td></tr>
<tr class="separator:a46e2f1efab13b85e2cbe36958a27d518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494b4c8c68ac883e29dc35da71a4cd72"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a494b4c8c68ac883e29dc35da71a4cd72">WithinRel</a> (float target, float eps)</td></tr>
<tr class="separator:a494b4c8c68ac883e29dc35da71a4cd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18cfb571dd191377674bad0cbb50078e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a18cfb571dd191377674bad0cbb50078e">WithinRel</a> (float target)</td></tr>
<tr class="separator:a18cfb571dd191377674bad0cbb50078e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a7c65c44f6ea7f739402c0b6f28657"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a70a7c65c44f6ea7f739402c0b6f28657"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html">Generic::PredicateMatcher</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a70a7c65c44f6ea7f739402c0b6f28657">Predicate</a> (std::function&lt; bool(T const &amp;)&gt; const &amp;predicate, std::string const &amp;description=&quot;&quot;)</td></tr>
<tr class="separator:a70a7c65c44f6ea7f739402c0b6f28657"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8af7dfc338335ed4c788cb1b37fc59f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1EqualsMatcher.html">StdString::EqualsMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#af8af7dfc338335ed4c788cb1b37fc59f">Equals</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity=<a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a>)</td></tr>
<tr class="separator:af8af7dfc338335ed4c788cb1b37fc59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f6c2accdc6cd75a84d7112dcad647b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1ContainsMatcher.html">StdString::ContainsMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a1f6c2accdc6cd75a84d7112dcad647b4">Contains</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity=<a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a>)</td></tr>
<tr class="separator:a1f6c2accdc6cd75a84d7112dcad647b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5a45efb4538c57c43e04f3f9043ad6e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1EndsWithMatcher.html">StdString::EndsWithMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#ae5a45efb4538c57c43e04f3f9043ad6e">EndsWith</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity=<a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a>)</td></tr>
<tr class="separator:ae5a45efb4538c57c43e04f3f9043ad6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97c9ee09a70378ca7e8c6f9f01b0d6d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">StdString::StartsWithMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a97c9ee09a70378ca7e8c6f9f01b0d6d1">StartsWith</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity=<a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a>)</td></tr>
<tr class="separator:a97c9ee09a70378ca7e8c6f9f01b0d6d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82f1893cf50ae4c14b9b3e0980bf22b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html">StdString::RegexMatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a82f1893cf50ae4c14b9b3e0980bf22b8">Matches</a> (std::string const &amp;regex, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity=<a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a>)</td></tr>
<tr class="separator:a82f1893cf50ae4c14b9b3e0980bf22b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eacc3d8729e9a1dcf76387ec60195ce"><td class="memTemplParams" colspan="2">template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </td></tr>
<tr class="memitem:a0eacc3d8729e9a1dcf76387ec60195ce"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html">Vector::ContainsMatcher</a>&lt; T, AllocComp, AllocMatch &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a0eacc3d8729e9a1dcf76387ec60195ce">Contains</a> (std::vector&lt; T, AllocComp &gt; const &amp;comparator)</td></tr>
<tr class="separator:a0eacc3d8729e9a1dcf76387ec60195ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8092d8b34128390dbff20b87f2f6f99"><td class="memTemplParams" colspan="2">template&lt;typename T , typename Alloc  = std::allocator&lt;T&gt;&gt; </td></tr>
<tr class="memitem:ad8092d8b34128390dbff20b87f2f6f99"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html">Vector::ContainsElementMatcher</a>&lt; T, Alloc &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#ad8092d8b34128390dbff20b87f2f6f99">VectorContains</a> (T const &amp;comparator)</td></tr>
<tr class="separator:ad8092d8b34128390dbff20b87f2f6f99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b76944eeb2b65329fabbac487a31d66"><td class="memTemplParams" colspan="2">template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </td></tr>
<tr class="memitem:a5b76944eeb2b65329fabbac487a31d66"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html">Vector::EqualsMatcher</a>&lt; T, AllocComp, AllocMatch &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a5b76944eeb2b65329fabbac487a31d66">Equals</a> (std::vector&lt; T, AllocComp &gt; const &amp;comparator)</td></tr>
<tr class="separator:a5b76944eeb2b65329fabbac487a31d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02bf172177011d09780a98635dc5a124"><td class="memTemplParams" colspan="2">template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </td></tr>
<tr class="memitem:a02bf172177011d09780a98635dc5a124"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html">Vector::ApproxMatcher</a>&lt; T, AllocComp, AllocMatch &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a02bf172177011d09780a98635dc5a124">Approx</a> (std::vector&lt; T, AllocComp &gt; const &amp;comparator)</td></tr>
<tr class="separator:a02bf172177011d09780a98635dc5a124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1784cd26bd7e3fea38505eb138b186"><td class="memTemplParams" colspan="2">template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </td></tr>
<tr class="memitem:a3b1784cd26bd7e3fea38505eb138b186"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html">Vector::UnorderedEqualsMatcher</a>&lt; T, AllocComp, AllocMatch &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Matchers.html#a3b1784cd26bd7e3fea38505eb138b186">UnorderedEquals</a> (std::vector&lt; T, AllocComp &gt; const &amp;target)</td></tr>
<tr class="separator:a3b1784cd26bd7e3fea38505eb138b186"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a02bf172177011d09780a98635dc5a124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02bf172177011d09780a98635dc5a124">&#9670;&nbsp;</a></span>Approx()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html">Vector::ApproxMatcher</a>&lt; T, AllocComp, AllocMatch &gt; Catch::Matchers::Approx </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T, AllocComp &gt; const &amp;&#160;</td>
          <td class="paramname"><em>comparator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f6c2accdc6cd75a84d7112dcad647b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f6c2accdc6cd75a84d7112dcad647b4">&#9670;&nbsp;</a></span>Contains() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1ContainsMatcher.html">StdString::ContainsMatcher</a> Catch::Matchers::Contains </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em> = <code><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0eacc3d8729e9a1dcf76387ec60195ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eacc3d8729e9a1dcf76387ec60195ce">&#9670;&nbsp;</a></span>Contains() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html">Vector::ContainsMatcher</a>&lt; T, AllocComp, AllocMatch &gt; Catch::Matchers::Contains </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T, AllocComp &gt; const &amp;&#160;</td>
          <td class="paramname"><em>comparator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5a45efb4538c57c43e04f3f9043ad6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5a45efb4538c57c43e04f3f9043ad6e">&#9670;&nbsp;</a></span>EndsWith()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1EndsWithMatcher.html">StdString::EndsWithMatcher</a> Catch::Matchers::EndsWith </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em> = <code><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8af7dfc338335ed4c788cb1b37fc59f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8af7dfc338335ed4c788cb1b37fc59f">&#9670;&nbsp;</a></span>Equals() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1EqualsMatcher.html">StdString::EqualsMatcher</a> Catch::Matchers::Equals </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em> = <code><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b76944eeb2b65329fabbac487a31d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b76944eeb2b65329fabbac487a31d66">&#9670;&nbsp;</a></span>Equals() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html">Vector::EqualsMatcher</a>&lt; T, AllocComp, AllocMatch &gt; Catch::Matchers::Equals </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T, AllocComp &gt; const &amp;&#160;</td>
          <td class="paramname"><em>comparator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82f1893cf50ae4c14b9b3e0980bf22b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82f1893cf50ae4c14b9b3e0980bf22b8">&#9670;&nbsp;</a></span>Matches()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html">StdString::RegexMatcher</a> Catch::Matchers::Matches </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>regex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em> = <code><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fcd8bd126bb510a6bb99e6360aa270a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fcd8bd126bb510a6bb99e6360aa270a">&#9670;&nbsp;</a></span>Message()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html">Exception::ExceptionMessageMatcher</a> Catch::Matchers::Message </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a70a7c65c44f6ea7f739402c0b6f28657"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70a7c65c44f6ea7f739402c0b6f28657">&#9670;&nbsp;</a></span>Predicate()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html">Generic::PredicateMatcher</a>&lt; T &gt; Catch::Matchers::Predicate </td>
          <td>(</td>
          <td class="paramtype">std::function&lt; bool(T const &amp;)&gt; const &amp;&#160;</td>
          <td class="paramname"><em>predicate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>description</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a97c9ee09a70378ca7e8c6f9f01b0d6d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97c9ee09a70378ca7e8c6f9f01b0d6d1">&#9670;&nbsp;</a></span>StartsWith()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">StdString::StartsWithMatcher</a> Catch::Matchers::StartsWith </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em> = <code><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">CaseSensitive::Yes</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b1784cd26bd7e3fea38505eb138b186"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1784cd26bd7e3fea38505eb138b186">&#9670;&nbsp;</a></span>UnorderedEquals()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocComp  = std::allocator&lt;T&gt;, typename AllocMatch  = AllocComp&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html">Vector::UnorderedEqualsMatcher</a>&lt; T, AllocComp, AllocMatch &gt; Catch::Matchers::UnorderedEquals </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T, AllocComp &gt; const &amp;&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8092d8b34128390dbff20b87f2f6f99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8092d8b34128390dbff20b87f2f6f99">&#9670;&nbsp;</a></span>VectorContains()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename Alloc  = std::allocator&lt;T&gt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html">Vector::ContainsElementMatcher</a>&lt; T, Alloc &gt; Catch::Matchers::VectorContains </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>comparator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c9ea76d47d02de0cf2d354c87c26e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c9ea76d47d02de0cf2d354c87c26e95">&#9670;&nbsp;</a></span>WithinAbs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html">Floating::WithinAbsMatcher</a> Catch::Matchers::WithinAbs </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>margin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a46e2f1efab13b85e2cbe36958a27d518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e2f1efab13b85e2cbe36958a27d518">&#9670;&nbsp;</a></span>WithinRel() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a> Catch::Matchers::WithinRel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c559d9cfda02a81941ad6933f4ca450"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c559d9cfda02a81941ad6933f4ca450">&#9670;&nbsp;</a></span>WithinRel() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a> Catch::Matchers::WithinRel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>eps</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18cfb571dd191377674bad0cbb50078e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18cfb571dd191377674bad0cbb50078e">&#9670;&nbsp;</a></span>WithinRel() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a> Catch::Matchers::WithinRel </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a494b4c8c68ac883e29dc35da71a4cd72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494b4c8c68ac883e29dc35da71a4cd72">&#9670;&nbsp;</a></span>WithinRel() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html">Floating::WithinRelMatcher</a> Catch::Matchers::WithinRel </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>eps</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae77e233c3ed735ea12b7c726153798d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae77e233c3ed735ea12b7c726153798d1">&#9670;&nbsp;</a></span>WithinULP() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html">Floating::WithinUlpsMatcher</a> Catch::Matchers::WithinULP </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t&#160;</td>
          <td class="paramname"><em>maxUlpDiff</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d108ff6aaeac40f20f4978dfb3f51fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d108ff6aaeac40f20f4978dfb3f51fc">&#9670;&nbsp;</a></span>WithinULP() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html">Floating::WithinUlpsMatcher</a> Catch::Matchers::WithinULP </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t&#160;</td>
          <td class="paramname"><em>maxUlpDiff</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
